#ifndef __BALL_H__
#define __BALL_H__

#include "objects.h"

class Ball
    : public Object
{
private:
    double radius;
public:
    Ball ();
    Ball (const Ball &that);
    Ball &operator= (const Ball &that);
    
    Ball (const Point_3d &, const double &);
    //Point_3d get_pos() const;
    virtual bool collide (const Object &other);
    virtual void resolve_collision (Object &other);
    virtual void update();
    virtual void draw();
};

#endif