#include <iostream>

using namespace std;

#include "my_app_window.h"

My_App_Window::My_App_Window ( const int &W, const int &H, const char *L)
    : Fl_Window ( W, H, L) 
{
    // OpenGL window
    mygl = new My_Gl_Window ( 10, 10, w() * .75, h() - 20);

    quit = new Fl_Button ( w() - 100, 100, 70, 30, "&Quit");
    quit->callback (quit_cb, this);

    //play = new Fl_Button ( w() - 100, 60, 70, 30, "P&lay");
    //play->callback (play_cb, this);
    end();
}

void My_App_Window::play_cb2()
{
    //play->copy_label("P&ause");
    mygl->ball_reset();
}

void My_App_Window::play_cb (Fl_Widget* , void *userdata)
{
    ((My_App_Window*) userdata)->play_cb2();
}

void My_App_Window::quit_cb2()
{
    hide();
}

void My_App_Window::quit_cb (Fl_Widget*, void *userdata)
{
    ((My_App_Window*) userdata)->quit_cb2();
}

void My_App_Window::show_gl ()
{
    mygl->show();
}

int My_App_Window::handle (int hand)
{
    int exit = Fl_Window::handle (hand);
    switch (hand)
    {
        case FL_FOCUS:
        case FL_UNFOCUS:
        return 1;
        case FL_KEYBOARD:
        {
            int temp = Fl::event_key();
            switch (temp)
            {
            case 'z':
                mygl->handle (hand);
                break;
            case '/':
                mygl->handle (hand);
                break;
            default:
                return exit;
            }
            return 1;
        }
    }
    return exit;
}
