#ifndef __MY_APP_WINDOW_H__
#define __MY_APP_WINDOW_H__

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Button.H>

#include "my_gl_window.h"

class My_App_Window : public Fl_Window 
{
private:
    // opengl window
    My_Gl_Window *mygl;

    Fl_Button *play;
    Fl_Button *quit;

    //int handle (int hand);

    void quit_cb2();
    static void quit_cb (Fl_Widget* , void *userdata);

    void play_cb2();
    static void play_cb (Fl_Widget* , void *userdata);

public:
    // APP WINDOW CONSTRUCTOR
    My_App_Window ( const int &W, const int &H, const char *L=0);
    void show_gl();
    int handle (int );
};

#endif